detFuns {unmarked} | R Documentation

## Distance-sampling detection functions and associated density functions

### Description

These functions represent the currently available detection functions used for modeling line and point transect data with `distsamp. Detection functions begin with "g", and density functions begin with a "d".`

### Usage

    gxhn(x, sigma)
    gxexp(x, rate)
    gxhaz(x, shape, scale)

    dxhn(x, sigma)
    dxexp(x, rate)
    dxhaz(x, shape, scale)
    drhn(r, sigma)
    drexp(r, rate)
    drhaz(r, shape, scale)

### Arguments

`x` | Perpendicular distance
`r` | Radial distance
`sigma` | Shape parameter of half-normal detection function
`rate` | Shape parameter of negative-exponential detection function
`shape` | Shape parameter of hazard-rate detection function
`scale` | Scale parameter of hazard-rate detection function

### See Also

`distsamp` for example of using these for plotting detection function

### Examples

    # Detection probabilities at 25m for range of half-normal sigma values.
    round(gxhn(25, 10:15), 2)

    # Plot negative exponential distributions
    plot(function(x) gxexp(x, rate=10), 0, 50, xlab="distance",
        ylab="Detection probability")
    plot(function(x) gxexp(x, rate=20), 0, 50, add=TRUE, lty=2)
    plot(function(x) gxexp(x, rate=30), 0, 50, add=TRUE, lty=3)

    # Plot half-normal probability density functions for line- and point-transects
    par(mfrow=c(2, 1))
    plot(function(x) dxhn(x, 20), 0, 50, xlab="distance",
        ylab="Probability density", main="Line-transect")
    plot(function(x) drhn(x, 20), 0, 50, xlab="distance",
        ylab="Probability density", main="Point-transect")

[Package unmarked version 0.12-3 Index]